import request from '@/utils/request'
// 表格数据获取
export function TimeTaskList(data) {
	return request({
		url: '/Api/TimeTask/GetBillList',
		method: 'post',
		data,
	})
}
// 表格数据详情
export function TimeTaskDetail(data) {
	return request({
		url: '/Api/TimeTask/GetLogBillList',
		method: 'post',
		data,
	})
}
// 定时器保存
export function TimeTaskIncrease(data) {
	return request({
		url:'/Api/TimeTask/SaveData',
		method: 'post',
		data
	})
}
// 定时器删除
export function TimeTaskDelete(data) {
	return request({
		url:'/Api/TimeTask/DelData',
		method: 'post',
		data
	})
}
// 全部定时器启用
export function TimeTaskEnable(data) {
	return request({
		url:'/Api/TimeTask/TimeTaskStart',
		method: 'post',
		data
	})
}
// 全部定时器禁用
export function TimeTaskDisable(data) {
	return request({
		url:'/Api/TimeTask/TimeTaskStop',
		method: 'post',
		data
	})
}
// 单个定时器启用禁用
export function TimeTaskSwitch(data) {
	return request({
		url:'/Api/TimeTask/LockState',
		method: 'post',
		data
	})
}